### org.jfree.layouting.layouter.context

# Class DefaultLayoutContext

- `java.lang.Object`
- - `org.jfree.layouting.layouter.context.DefaultLayoutContext`

Implemented Interfaces:
  Cloneable, LayoutContext, LayoutStyle

`public class DefaultLayoutContext`
`extends java.lang.Object`
`implements LayoutContext, Cloneable`

Creation-Date: 14.12.2005, 13:42:06

Author:
  Thomas Morgner

  ## Constructor Summary

  `DefaultLayoutContext(ContextId contextId, String namespace, String tagName, String pseudoElement, AttributeMap attributeMap)`

  ## Method Summary

  `Object`

  `clone()`

  `boolean`

  `copyFrom(LayoutStyle style)`

  `LayoutContext`

  `derive()`

  `LayoutContext`

  `detach(Map counters, Map strings)`

  `void`

  `dispose()`

  `AttributeMap`

  `getAttributes()`

  `BackgroundSpecification`

  `getBackgroundSpecification()`

  `ContentSpecification`

  `getContentSpecification()`

  `ContextId`

  `getContextId()`

  `Map`

  `getCounters()`

  `FontSpecification`

  `getFontSpecification()`

  `Locale`

  `getLanguage()`
    Returns the language definition of this layout context.

  `ListSpecification`

  `getListSpecification()`

  `String`

  `getNamespace()`

  `String`

  `getPseudoElement()`

  `Map`

  `getStrings()`

  `LayoutStyle`

  `getStyle()`

  `String`

  `getTagName()`

  `CSSValue`

  `getValue(StyleKey key)`

  `boolean`

  `isPseudoElement()`

  `void`

  `setValue(StyleKey key, CSSValue value)`

## Constructor Details

### DefaultLayoutContext

    public DefaultLayoutContext(ContextId contextId,
                                String namespace,
                                String tagName,
                                String pseudoElement,
                                AttributeMap attributeMap)

## Method Details

### clone

    public Object clone()

### copyFrom

    public boolean copyFrom(LayoutStyle style)

> Specified by:
>   copyFrom in interface LayoutStyle

### derive

    public LayoutContext derive()

> Specified by:
>   derive in interface LayoutContext

### detach

    public LayoutContext detach(Map counters,
                                Map strings)

> Specified by:
>   detach in interface LayoutContext

### dispose

    public void dispose()

> Specified by:
>   dispose in interface LayoutContext

### getAttributes

    public AttributeMap getAttributes()

> Specified by:
>   getAttributes in interface LayoutContext

### getBackgroundSpecification

    public BackgroundSpecification getBackgroundSpecification()

> Specified by:
>   getBackgroundSpecification in interface LayoutContext

### getContentSpecification

    public ContentSpecification getContentSpecification()

> Specified by:
>   getContentSpecification in interface LayoutContext

### getContextId

    public ContextId getContextId()

> Specified by:
>   getContextId in interface LayoutContext

### getCounters

    public Map getCounters()

> Specified by:
>   getCounters in interface LayoutContext

### getFontSpecification

    public FontSpecification getFontSpecification()

> Specified by:
>   getFontSpecification in interface LayoutContext

### getLanguage

    public Locale getLanguage()

> Returns the language definition of this layout context. If not set, it defaults to the parent's language. If the root's language is also not defined, then use the system default.
> Specified by:
>   getLanguage in interface LayoutContext
> Returns:
>   the defined language, never null.

### getListSpecification

    public ListSpecification getListSpecification()

> Specified by:
>   getListSpecification in interface LayoutContext

### getNamespace

    public String getNamespace()

> Specified by:
>   getNamespace in interface LayoutContext

### getPseudoElement

    public String getPseudoElement()

> Specified by:
>   getPseudoElement in interface LayoutContext

### getStrings

    public Map getStrings()

> Specified by:
>   getStrings in interface LayoutContext

### getStyle

    public LayoutStyle getStyle()

### getTagName

    public String getTagName()

> Specified by:
>   getTagName in interface LayoutContext

### getValue

    public CSSValue getValue(StyleKey key)

> Specified by:
>   getValue in interface LayoutStyle

### isPseudoElement

    public boolean isPseudoElement()

> Specified by:
>   isPseudoElement in interface LayoutContext

### setValue

    public void setValue(StyleKey key,
                         CSSValue value)

> Specified by:
>   setValue in interface LayoutStyle